Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Rotating Viewports- lisp

Status
Not open for further replies.

tzinger

Aerospace
Dec 16, 2002
42
Anybody have a lisp tool that will rotate viewports?

Trav :)
 
Replies continue below

Recommended for you

Dear tzinger,
To rotate the border of a viewport, you should replace
the border by another object using the VPCLIP command.
To rotate the view inside the viewport, you should set
the system variable WORLDVIEW to 0, set the UCS on
desired direction, and set the view direction using the
VPOINT command. The following code shows you how to do it.

(defun c:RVP()
(setvar "worldview" 0)
(command "ucs" "z" 45)
(command "vpoint" "0,0,1")
)

Regards,
Farzad
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor